Package Details: rtv 1.21.0-1

Git Clone URL: https://aur.archlinux.org/rtv.git (read-only)
Package Base: rtv
Description: Browse Reddit from your terminal
Upstream URL: https://github.com/michael-lazar/rtv
Keywords: commandline reddit terminal
Licenses: MIT
Conflicts: rtv-git
Submitter: shaggytwodope
Maintainer: shaggytwodope
Last Packager: shaggytwodope
Votes: 51
Popularity: 1.785159
First Submitted: 2015-04-06 02:41
Last Updated: 2017-12-31 01:43

Latest Comments

chrisbdaemon commented on 2017-03-17 01:50

Can be installed outside of pacman/aur with:

pip install rtv

However, as mentioned by ac4r_g0 it requires an old version of praw which supposedly has reached EOL.

evilgnome commented on 2017-02-13 18:21

What happened to the mailcap-fix dependency?

ac4r_g0 commented on 2017-01-07 15:48

Python-praw is updated to "v4+" in the repos, rtv needs python-praw "v3.5"

The big problem is, for the moment, that developer won't update rtv to support the new versions of python-praw in a near future.
https://github.com/michael-lazar/rtv/issues/331

By the way, the package rtv-git needs python-praw "=>v3.5" or "<v4".

shaggytwodope commented on 2016-10-29 09:48

@KozRoss So I have no similar error on my up to date machine. Can you simply try reinstalling this package? I think at this time the python-praw package is working for rtv. Feel free to contact me via the email in the packagebuild file if the error continues.

KozRoss commented on 2016-10-29 03:20

Just got this error dump when trying to run this, having installed python-praw-git as per the earlier suggestion:

Traceback (most recent call last):
File "/usr/bin/rtv", line 6, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2994, in <module>
@_call_aside
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2980, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 3007, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 660, in _build_master
return cls._build_from_requirements(__requires__)
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 673, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 852, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'praw==3.5.0' distribution was not found and is required by rtv

shaggytwodope commented on 2016-10-19 03:00

@aexl no it's not, don't know how that got overlooked. Fixed, and thanks.

aexl commented on 2016-10-19 02:52

I think git is not needed in the makedepends of the PKGBUILD, right?

agwblack commented on 2016-07-08 08:44

Should be fixed upstream now: https://github.com/praw-dev/praw/commit/377860398e322d40b1daf325931fbe520fee0c61

Once the arch linux package for python-praw is updated then this should work again. In the meantime you can just make sure to install python-praw-git from AUR instead of python-praw and it should work :)

agwblack commented on 2016-07-07 14:48

Changing "update_checker ==0.11" to "update_checker >=0.11" in /usr/lib/python3.5/site-packages/praw-3.5.0-py3.5.egg-info/requires.txt works around the problem.

I guess a proper fix would have to be implemented in praw. Alternatively, we could see about getting a patch into the python-praw-git AUR recipe and make this package depend on that instead of the regular python-praw?

UPDATE: Looks like there is something of an ongoing discussion about this in the praw project: https://github.com/praw-dev/praw/issues/604.

Presumably this requirement on update_checker 0.11 means that the python-praw package in Arch Linux is broken, in the sense that it won't work properly in a vanilla Arch Linux system?

LeoFa commented on 2016-07-06 23:29

rtv 1.9.1-1 crashes on startup, python-praw expects python-update_checker 0.11 but 0.12 is installed.

Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 635, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 943, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 834, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (update-checker 0.12 (/usr/lib/python3.5/site-packages), Requirement.parse('update_checker==0.11'), {'praw'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/rtv", line 5, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2927, in <module>
@_call_aside
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2913, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2940, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 637, in _build_master
return cls._build_from_requirements(__requires__)
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 650, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 829, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'update_checker==0.11' distribution was not found and is required by praw

All comments